> For the complete documentation index, see [llms.txt](https://docs.seldon.ai/seldon-core-2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seldon.ai/seldon-core-2/resources/apis/cli/seldon_pipeline/seldon_pipeline_inspect.md).

# Pipeline Inspect

inspect data in a pipeline

## Synopsis

inspect data in a pipeline. Specify as pipelineName or pipelineName.(inputs|outputs) or pipelineName.stepName or pipelineName.stepName.(inputs|outputs) or pipelineName.stepName.(inputs|outputs).tensorName

```
seldon pipeline inspect <expression> [flags]
```

## Options

```
      --format string              inspect output format: raw or json. Default raw (default "raw")
  -h, --help                       help for inspect
      --kafka-broker string        kafka broker (default "0.0.0.0:9092")
      --kafka-config-path string   path to kafka config file
      --namespace string           Kubernetes namespace. Default default (default "default")
      --offset int                 message offset to start reading from, i.e. default 1 is the last message only (default 1)
      --request-id string          request id to show, if not specified will be all messages in offset range
      --scheduler-host string      seldon scheduler host (default "0.0.0.0:9004")
  -t, --truncate                   truncate data
  -v, --verbose                    display more details, such as headers
```

## SEE ALSO

* [seldon pipeline](/seldon-core-2/resources/apis/cli/seldon_pipeline.md) - manage pipelines


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/resources/apis/cli/seldon_pipeline/seldon_pipeline_inspect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
